<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.cloud.mapper.AppEventInfoMapper">

    <select id="selectEventInfoDetailByID" resultType="com.njcn.cloud.pojo.vo.EventInfoDetailVO">
        SELECT
            msg.EventDetail_Index AS eventDetailIndex,
            info.REPORT_STATE report,
            info.Evaluate evaluate,
            info.report_Path reportPath
        FROM
            app_event_msg msg
        INNER JOIN app_event_info info ON msg.EventDetail_Index = info.EventDetail_Index
        <where>
            <if test="id!=null and id != '' ">
                AND msg.EventMsg_Index = #{id}
            </if>
        </where>
    </select>
</mapper>
